#[cfg(feature = "datetime")]
use datetime::{LocalDateTime, ISO};

#[cfg(feature = "datetime")]
struct Now(LocalDateTime);
#[cfg(feature = "datetime")]
impl std::fmt::Display for Now {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        self.0.fmt(f)
    }
}

pub fn print_current_time() {
    #[cfg(feature = "datetime")]
    println!("// Generated {}", Now(LocalDateTime::now()))
}
